Package twisted :: Package persisted :: Module styles |
[frames | no frames]

## Module twisted.persisted.styles

Different styles of persisted objects.

Classes
`Ephemeral` | This type of object is never persisted; if possible, even references to it are eliminated.
`Versioned` | This type of object is persisted with versioning information.

Function Summary
| `_aybabtu(c)`
| `doUpgrade()`
| ``pickleMethod`(method)` support function for copy_reg to pickle method refs
| ``pickleModule`(module)` support function for copy_reg to pickle module refs
| `pickleStringI(stringi)`
| ``pickleStringO`(stringo)` support function for copy_reg to pickle StringIO.OutputTypes
| ``requireUpgrade`(obj)` Require that a Versioned instance be upgraded completely first.
| ``unpickleMethod`(im_name, im_self, im_class)` support function for copy_reg to unpickle method refs
| ``unpickleModule`(name)` support function for copy_reg to unpickle module refs
| `unpickleStringI(val, sek)`
| `unpickleStringO(val, sek)`

Variable Summary
`dict` | `oldModules` = `{}`
`dict` | `upgraded` = `{}`
`dict` | `versionedsToUpgrade` = `{}`

Function Details

### pickleMethod(method) support function for copy_reg to pickle method refs

### pickleModule(module) support function for copy_reg to pickle module refs

### pickleStringO(stringo) support function for copy_reg to pickle StringIO.OutputTypes

### requireUpgrade(obj) Require that a Versioned instance be upgraded completely first.

### unpickleMethod(im_name, im_self, im_class) support function for copy_reg to unpickle method refs

### unpickleModule(name) support function for copy_reg to unpickle module refs

Variable Details

    ### oldModules Type: `dict` Value:
        {}

    ### upgraded Type: `dict` Value:
        {}

    ### versionedsToUpgrade Type: `dict` Value:
        {}

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net